GroovyAwareNamedTransactionAttributeSource (Grails 3.1.10)
Date: 2016-07-28

Package: org.grails.transaction

## [Java] Class GroovyAwareNamedTransactionAttributeSource

- org.grails.transaction.GroovyAwareNamedTransactionAttributeSource

- Authors:
    Graeme Rocher
  Since:
    1.1.1 Don't match Groovy synthetic methods

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `org.springframework.transaction.interceptor.TransactionAttribute` | `getTransactionAttribute(java.lang.reflect.Method method, java.lang.Class targetClass)`
    `protected boolean` | `isMatch(java.lang.String methodName, java.lang.String mappedName)`
    `void` | `setTransactionalAttributes(java.util.Properties properties)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource` | `org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#equals(java.lang.Object), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#toString(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#hashCode(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#setProperties(java.util.Properties), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#setNameMap(java.util.Map), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#addTransactionalMethod(java.lang.String, org.springframework.transaction.interceptor.TransactionAttribute), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#getTransactionAttribute(java.lang.reflect.Method, java.lang.Class), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#wait(long, int), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#wait(long), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#wait(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#getClass(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#notify(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public org.springframework.transaction.interceptor.TransactionAttribute getTransactionAttribute(java.lang.reflect.Method method, java.lang.Class targetClass)

    - #### @java.lang.Override protected boolean isMatch(java.lang.String methodName, java.lang.String mappedName)

    - #### public void setTransactionalAttributes(java.util.Properties properties)